<div 
    class="flex-1"
>
    <p-card 
        [header]="header" 
        [style]="{'width': '20rem'}"
        *ngIf="task"
    >
    
        <div 
            *ngFor="let item of task | async"
        >
            <div 
                pDraggable="task" 
                (onDragStart)="onDragStart(item)" 
                (onDragEnd)="dragEnd()" 
                class="flex justify-content-between"
            >
                <p>{{item?.title}}</p>

                <button 
                    *ngIf="header !== 'Completed'" 
                    pButton 
                    type="button" 
                    label="Update"
                    (click)="update(item?.status, item?._id)"
                ></button>
            </div>
            
            <p-divider></p-divider>
        </div>
    
    </p-card>
</div>